Bug 179216 - [WinCairo] Fix LayoutTests to work with WinCairo port
Summary: [WinCairo] Fix LayoutTests to work with WinCairo port
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 179217 179219 179221 179344 179345 179508 179541 179553 179572 179637 181814 181815 183265
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-02 17:23 PDT by Basuke Suzuki
Modified: 2023-02-08 22:15 PST (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Basuke Suzuki 2017-11-02 17:23:51 PDT
Many issues exists for LayoutTests for WinCairo. This is the meta bug for that.
Comment 1 Basuke Suzuki 2017-11-02 17:32:05 PDT
Without cygwin environment.
Comment 2 Basuke Suzuki 2017-11-02 17:47:30 PDT
First goal is to run following command from PowerShell ( <- no meaning: just my favorite).

$ python .\Tools\Scripts\run-webkit-tests --dump-render-tree --release --64-bit --wincairo --no-http-server --print-expectations | more
Comment 3 Basuke Suzuki 2017-11-09 15:35:44 PST
Next goal is to run tests, but no http tests.

> $ python .\Tools\Scripts\run-webkit-tests --dump-render-tree --release --64-bit --wincairo --no-http-server
Comment 4 Basuke Suzuki 2018-01-18 14:56:33 PST
Next goal is to run http tests but not launching HTTP server from the script. (launch manually). Also no websocket, no wpt.
Comment 5 Basuke Suzuki 2018-03-12 11:12:44 PDT
HTTP Tests is now supported in native Windows with WinCairo. Apache Http server and WebSocket server are launched from the script. No wpt support right now. 

Next goal will be using WebKitTestRunner.
Comment 6 Basuke Suzuki 2018-03-12 11:13:16 PDT
And documentation for Layout Tests on WinCairo
Comment 7 Basuke Suzuki 2018-07-25 21:46:56 PDT
Remainings:
- Add wpt server support
- CGIs are not work well on native Windows. Replace them with PHP.
- Adding enough TestRunner interfaces.
Comment 8 Fujii Hironori 2023-02-08 22:15:12 PST
all problems fixed.